Name:          sblim-sfcCommon
Version:       1.0.1
Release:       14
Summary:       Common functions of SBLIM small CIM agent and CIM client library
License:       EPL-1.0
URL:           http://sourceforge.net/projects/sblim/
Source0:       http://downloads.sourceforge.net/sblim/sblim-sfcCommon-%{version}.tar.bz2
BuildRequires: sblim-cmpi-devel gcc-c++

%description
This package provides a common library for functions shared between the Small Footprint
CIM Agent (sblim-sfcb) and the Small Footprint CIM Client (sblim-sfcc).

%package       devel
Summary:       Provide development files for sblim-sfcCommon
Requires:      %{name} = %{version}-%{release}

%description   devel
This package provides sblim-sfcCommon Development Files.

%prep
%autosetup -n sblim-sfcCommon-%{version} -p1

%build
%configure
%make_build

%install
%make_install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc AUTHORS README COPYING NEWS ChangeLog
%{_libdir}/libsfcUtil.so.*
%exclude %{_libdir}/libsfcUtil.a
%exclude %{_libdir}/libsfcUtil.la

%files devel
%{_includedir}/sfcCommon
%{_libdir}/libsfcUtil.so

%changelog
* Wed Jun 15 2022 Chenyx <chenyixiong3@huawei.com> - 1.0.1-14
- License compliance rectification

* Fri Dec 20 2019 fengbing <fengbing7@huawei.com> - 1.0.1-13
- Package init
